<?php
/**
 * TTextBox class file.
 *
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @link https://github.com/pradosoft/prado
 * @copyright Copyright &copy; 2005-2016 The PRADO Group
 * @license https://github.com/pradosoft/prado/blob/master/LICENSE
 * @package Prado\Web\UI\WebControls
 */

namespace Prado\Web\UI\WebControls;

/**
 * TTextBoxAutoCompleteType class.
 * TTextBoxAutoCompleteType defines the possible AutoComplete type that is supported
 * by a {@link TTextBox} control.
 *
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @package Prado\Web\UI\WebControls
 * @since 3.0.4
 */
class TTextBoxAutoCompleteType extends \Prado\TEnumerable
{
	const BusinessCity = 'BusinessCity';
	const BusinessCountryRegion = 'BusinessCountryRegion';
	const BusinessFax = 'BusinessFax';
	const BusinessPhone = 'BusinessPhone';
	const BusinessState = 'BusinessState';
	const BusinessStreetAddress = 'BusinessStreetAddress';
	const BusinessUrl = 'BusinessUrl';
	const BusinessZipCode = 'BusinessZipCode';
	const Cellular = 'Cellular';
	const Company = 'Company';
	const Department = 'Department';
	const Disabled = 'Disabled';
	const DisplayName = 'DisplayName';
	const Email = 'Email';
	const FirstName = 'FirstName';
	const Gender = 'Gender';
	const HomeCity = 'HomeCity';
	const HomeCountryRegion = 'HomeCountryRegion';
	const HomeFax = 'HomeFax';
	const Homepage = 'Homepage';
	const HomePhone = 'HomePhone';
	const HomeState = 'HomeState';
	const HomeStreetAddress = 'HomeStreetAddress';
	const HomeZipCode = 'HomeZipCode';
	const JobTitle = 'JobTitle';
	const LastName = 'LastName';
	const MiddleName = 'MiddleName';
	const None = 'None';
	const Notes = 'Notes';
	const Office = 'Office';
	const Pager = 'Pager';
	const Search = 'Search';
}
